package com.ruoyi.basicData.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库摄像头对象 t_warehouse_webcam
 *
 * @author ruoyi
 * @date 2021-12-21
 */
public class TWarehouseWebcam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 项目ID
     */
    @Excel(name = "项目ID")
    private String projectId;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备序列号
     */
    @Excel(name = "设备序列号")
    private String deviceSerial;

    /**
     * 仓库ID
     */
    @Excel(name = "仓库ID")
    private Long fWarehouseId;

    /**
     * 仓库名称
     */
    @Excel(name = "仓库名称")
    private String fWarehouseName;

    /**
     * 删除状态
     */
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceSerial(String deviceSerial) {
        this.deviceSerial = deviceSerial;
    }

    public String getDeviceSerial() {
        return deviceSerial;
    }

    public void setfWarehouseId(Long fWarehouseId) {
        this.fWarehouseId = fWarehouseId;
    }

    public Long getfWarehouseId() {
        return fWarehouseId;
    }

    public void setfWarehouseName(String fWarehouseName) {
        this.fWarehouseName = fWarehouseName;
    }

    public String getfWarehouseName() {
        return fWarehouseName;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("projectId", getProjectId())
                .append("deviceName", getDeviceName())
                .append("deviceSerial", getDeviceSerial())
                .append("fWarehouseId", getfWarehouseId())
                .append("fWarehouseName", getfWarehouseName())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
